Subject: RE: draft-ietf-l3vpn-ospf-2547-04 L3VPN/OSPF WG Last Call

From: "Yegenoglu, Ferit" <[email-masked]>
Date: Fri, 09 Sep 2005 16:24:40 -0400

Hi,

With respect to sham link advertisement on page 8 the draft says "...PE1
may flood to CE1 a type 1 LSA advertising a link to PE2, and PE2 may
flood to CE2 a type 1 LSA advertising a link to PE1." Then, on Section
4.2.8.4, it says sham link endpoint address routes must not be
redistributed into OSPF.

Can draft's authors please clarify?

Thanks,
Ferit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Rick Wilder
Sent: Saturday, September 03, 2005 8:33 AM
To: [email-masked]
Subject: draft-ietf-l3vpn-ospf-2547-04 L3VPN/OSPF WG Last Call

Please see the announcement below regarding the last call on 
draft-ietf-l3vpn-ospf-2547-04. Due to a delay in posting this to this
list, the last call will conclude on September 17.

Rick

This begins working group last call on draft-ietf-l3vpn-ospf-2547-04.
This last call is limited to the changes that Eric has made to the
document (which are outlined in Eric's email below). The last call will
end in two weeks (September 14th).

Please send any comments to the l3vpn ([email-masked]) and
OSPF WG mailing lists. The document is an l3vpn WG document but it
reflects OSPF operation/interaction with BGP/MPLS in a PE/CE
environment.

Thanks,
Acee

At 11:45 AM 8/29/2005 -0400, Eric Rosen wrote:

> As  a  result of  AD  review,  significant changes  have  been  made
> to  the
> specification draft-ietf-l3vpn-ospf-2547.  These changes  can be seen 
> in the
> latest version, draft -04.  It is believed that the draft now 
> corresponds to
> the implementations.
>
> The following issues were addressed as a result of the AD review.
>
> The spec was  written so as to  allow a single VRF to  correspond to
> multiple
> OSPF  domains.  However, it  did not  make clear  just which  
> parameters and
> procedures are relative to a domain,  and which are relative to a 
> VRF.  This
> has  now been  cleared up.   However,  doing so  required extensive  
> textual
> changes.
>
> There  are cases  where  BGP decides  to  put a  route into  the  VRF
> for  a
> particular address prefix, and OSPF also decides to put a route into 
> the VRF
> for that same address prefix.  Of  course, only one of these can 
> actually be
> used for  forwarding.  The  original spec did  not make it  adequately

> clear
> just how  a choice  between two such  routes would  be made.  This  
> has been
> clarified.  In  some cases,  the results will  be different than  they

> would
> have been if the VPN were really a pure OSPF network.  These 
> differences are
> now explained and their potential consequences pointed out.
>
> The  procedures  for  forwarding data  traffic  on  a  sham link
> have  been
> clarified.  The procedures  for sending OSPF control traffic  on a 
> sham link
> have been clarified.  The role of the optional  "sham link endpoint 
> address"
> has been clarified.
>
> The  procedures for  translating BGP-distributed  VPN-IPv4 routes
> into OSPF
> routes have been clarified.
>
> A discussion  of NSSA routes has been  added.  Alex says it  is not
> detailed
> enough; any feedback in this area would be welcome.
>
> Due to the large number of changes,  Alex has asked for a new last
> call, and
> I expect the WG chairs to formally issue the last call shortly.

---

From: Eric Rosen <[email-masked]>
Date: Mon, 12 Sep 2005 10:44:01 -0400

> 4.2.8.4, it says sham link endpoint address routes must not be

What section  4.2.8.4 means is that  the routes of type  "sham link endpoint
address" are to be treated only as specified in section 4.2.7, and the rules
of 4.2.8 (4.2.8.1, 4.2.8.2) do not apply.